﻿using System;
using System.Drawing;
using ThumbnailGenerator;

namespace csharp
{
    class Program
    {
        static void Main(string[] args)
        {   
            Console.WriteLine("Started process...");
            //SHELL METHOD:  REQUIRES WindowsAPICodePack
            // ShellFile shellFile = ShellFile.FromFilePath("//Mac/Home/Desktop/TestFiles/stp.py");
            // Bitmap shellThumb = shellFile.Thumbnail.ExtraLargeBitmap;
            // shellThumb.Save("//Mac/Home/Desktop/TestFiles/thumbers.jpg");

            int arglen = args.Length;

            if (arglen != 3)
            {
                Console.WriteLine("Failed:  Missing arguments.");
                Console.WriteLine("Provided: " + arglen.ToString() + "args");
            }
            else
            {
                string SRCFILE = args[0];
                string DESTFILE = args[1];
                int THUMBSIZE = Convert.ToInt32(args[2]);
                Console.WriteLine("Converting...");
                Bitmap THUMBNAIL = WindowsThumbnailProvider.GetThumbnail(
                SRCFILE, THUMBSIZE, THUMBSIZE, ThumbnailOptions.None);
                Console.WriteLine("Saving...");
                THUMBNAIL.Save(DESTFILE); 
                Console.WriteLine("Success");
            }



        }
    }

}
